Subject: [PATCH 3/3] arm64: Use include/asm-generic/io.h

From: [email-masked] (Catalin Marinas)
Date: Fri, 11 Jul 2014 15:00:11 +0100

On Fri, Jul 11, 2014 at 02:01:59PM +0100, Thierry Reding wrote:
> On Fri, Jul 11, 2014 at 02:58:09PM +0200, Arnd Bergmann wrote:
> > On Friday 11 July 2014, Catalin Marinas wrote:
> > > ioread32() is indeed an alias for readl on arm64 but if the address it
> > > gets as argument looks like an I/O port, it adds PCI_IOBASE (via the inl
> > > macro). This would no longer happen with Thierry's patches.
> > > 
> > > So I guess that for this patch to work, we also need ioport_map() to
> > > return an address from the PCI_IOBASE range. Should we merge this now as
> > > well:
> > > 
> > > http://linux-arm.org/git?p=linux-ld.git;a=commitdiff;h=3423064d8e42a38164a8436bcdf7434cf9cd2192
> > 
> > This is also part of patch 1/3 in Thierry's series.
> 
> The hunk in my patch 1/3 is missing the "& IO_SPACE_LIMIT", I can respin
> and include that.

OK, I missed this part. In which case, the patches look fine:

Acked-by: Catalin Marinas <[email-masked]>

(I'm also happy to merge 1 and 3, whatever you prefer)